GET /image-services/iiif/{identifier}/{region}/{size}/{rotation}/{quality}.{format}
loc.gov:library-of-congress-apis
Summary: Get IIIF image tile
Operation ID: getIIIFImageTile
Auth: none
Operation ID: getIIIFImageTile
Auth: none
Description
Retrieve an image tile using IIIF parameters. Supports region extraction, scaling, rotation, and format conversion. Rotation values must be multiples of 90.
Parameters (6)
format
(string, path, required)
Image format extension
Constraints: {'enum': ['jpg', 'png', 'tif', 'gif', 'webp']}
identifier
(string, path, required)
The image identifier
quality
(string, path, required)
Image quality: 'default', 'color', 'gray', or 'bitonal'
region
(string, path, required)
Region to extract: 'full' for entire image or 'x,y,w,h' coordinates
rotation
(string, path, required)
Rotation in degrees (must be multiple of 90). Use '!' prefix for mirroring.
size
(string, path, required)
Target size: 'full', 'max', 'w,h', '!w,h', or 'pct:n'
Examples (1)
| Title | Type | URL | Action |
|---|---|---|---|
| Get IIIF image tile | openapi-spec |
https://www.loc.gov/image-services/iiif/{identifier}/full/full/0/default.jpg |
No probe data for this endpoint yet.